<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>FTP Client: CClient Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">FTP Client
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classCClient-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CClient Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="client_8h_source.html">client.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for CClient:</div>
<div class="dyncontent">
<div class="center"><img src="classCClient__coll__graph.png" border="0" usemap="#CClient_coll__map" alt="Collaboration graph"/></div>
<map name="CClient_coll__map" id="CClient_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5b1b48145b3970d3087189015ddd9ca3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#a5b1b48145b3970d3087189015ddd9ca3">CClient</a> (int sock)</td></tr>
<tr class="separator:a5b1b48145b3970d3087189015ddd9ca3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaf8a21b0a5db3157a0129aec0d77542"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#acaf8a21b0a5db3157a0129aec0d77542">~CClient</a> (void)</td></tr>
<tr class="separator:acaf8a21b0a5db3157a0129aec0d77542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa93835bf5aac10cb159f0aae18688dd3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#aa93835bf5aac10cb159f0aae18688dd3">isRunning</a> (void)</td></tr>
<tr class="separator:aa93835bf5aac10cb159f0aae18688dd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d12ebcc2ee9b3f28b1b0d986b394d33"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#a8d12ebcc2ee9b3f28b1b0d986b394d33">communicate</a> ()</td></tr>
<tr class="separator:a8d12ebcc2ee9b3f28b1b0d986b394d33"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a128d8908e1a13163a998728b8d671bc0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#a128d8908e1a13163a998728b8d671bc0">authenticate</a> ()</td></tr>
<tr class="separator:a128d8908e1a13163a998728b8d671bc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2125c488d5ee4b6c1b96cbfbef317b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#aa2125c488d5ee4b6c1b96cbfbef317b4">treatResponse</a> ()</td></tr>
<tr class="separator:aa2125c488d5ee4b6c1b96cbfbef317b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a9796ef11ee8c7ab1d1114290fc7d25dc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#a9796ef11ee8c7ab1d1114290fc7d25dc">m_running</a></td></tr>
<tr class="separator:a9796ef11ee8c7ab1d1114290fc7d25dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b591072de44595709c076d7eedfdb55"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#a9b591072de44595709c076d7eedfdb55">m_sock</a></td></tr>
<tr class="separator:a9b591072de44595709c076d7eedfdb55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56e039e95da281a991e7691bd0425633"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCClient.html#a56e039e95da281a991e7691bd0425633">m_buffer</a> [<a class="el" href="constants_8h.html#ad3f098b0c28052a2a905895fc8537687">MAX_BUFFER_LENGTH</a>+1]</td></tr>
<tr class="separator:a56e039e95da281a991e7691bd0425633"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5b1b48145b3970d3087189015ddd9ca3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CClient::CClient </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>sock</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="acaf8a21b0a5db3157a0129aec0d77542"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CClient::~CClient </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a128d8908e1a13163a998728b8d671bc0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool CClient::authenticate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCClient_a128d8908e1a13163a998728b8d671bc0_cgraph.png" border="0" usemap="#classCClient_a128d8908e1a13163a998728b8d671bc0_cgraph" alt=""/></div>
<map name="classCClient_a128d8908e1a13163a998728b8d671bc0_cgraph" id="classCClient_a128d8908e1a13163a998728b8d671bc0_cgraph">
<area shape="rect" id="node2" href="classCClient.html#aa2125c488d5ee4b6c1b96cbfbef317b4" title="CClient::treatResponse" alt="" coords="201,5,359,32"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCClient_a128d8908e1a13163a998728b8d671bc0_icgraph.png" border="0" usemap="#classCClient_a128d8908e1a13163a998728b8d671bc0_icgraph" alt=""/></div>
<map name="classCClient_a128d8908e1a13163a998728b8d671bc0_icgraph" id="classCClient_a128d8908e1a13163a998728b8d671bc0_icgraph">
<area shape="rect" id="node2" href="classCClient.html#a8d12ebcc2ee9b3f28b1b0d986b394d33" title="CClient::communicate" alt="" coords="200,5,352,32"/><area shape="rect" id="node3" href="classCProgram.html#a9f87985764fec0db060eab39e1776c51" title="CProgram::work" alt="" coords="400,5,517,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8d12ebcc2ee9b3f28b1b0d986b394d33"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CClient::communicate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCClient_a8d12ebcc2ee9b3f28b1b0d986b394d33_cgraph.png" border="0" usemap="#classCClient_a8d12ebcc2ee9b3f28b1b0d986b394d33_cgraph" alt=""/></div>
<map name="classCClient_a8d12ebcc2ee9b3f28b1b0d986b394d33_cgraph" id="classCClient_a8d12ebcc2ee9b3f28b1b0d986b394d33_cgraph">
<area shape="rect" id="node2" href="classCClient.html#a128d8908e1a13163a998728b8d671bc0" title="CClient::authenticate" alt="" coords="206,5,351,32"/><area shape="rect" id="node3" href="classCClient.html#aa2125c488d5ee4b6c1b96cbfbef317b4" title="CClient::treatResponse" alt="" coords="401,31,559,57"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCClient_a8d12ebcc2ee9b3f28b1b0d986b394d33_icgraph.png" border="0" usemap="#classCClient_a8d12ebcc2ee9b3f28b1b0d986b394d33_icgraph" alt=""/></div>
<map name="classCClient_a8d12ebcc2ee9b3f28b1b0d986b394d33_icgraph" id="classCClient_a8d12ebcc2ee9b3f28b1b0d986b394d33_icgraph">
<area shape="rect" id="node2" href="classCProgram.html#a9f87985764fec0db060eab39e1776c51" title="CProgram::work" alt="" coords="205,5,323,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aa93835bf5aac10cb159f0aae18688dd3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool CClient::isRunning </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCClient_aa93835bf5aac10cb159f0aae18688dd3_icgraph.png" border="0" usemap="#classCClient_aa93835bf5aac10cb159f0aae18688dd3_icgraph" alt=""/></div>
<map name="classCClient_aa93835bf5aac10cb159f0aae18688dd3_icgraph" id="classCClient_aa93835bf5aac10cb159f0aae18688dd3_icgraph">
<area shape="rect" id="node2" href="classCProgram.html#a9f87985764fec0db060eab39e1776c51" title="CProgram::work" alt="" coords="187,5,304,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aa2125c488d5ee4b6c1b96cbfbef317b4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CClient::treatResponse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCClient_aa2125c488d5ee4b6c1b96cbfbef317b4_icgraph.png" border="0" usemap="#classCClient_aa2125c488d5ee4b6c1b96cbfbef317b4_icgraph" alt=""/></div>
<map name="classCClient_aa2125c488d5ee4b6c1b96cbfbef317b4_icgraph" id="classCClient_aa2125c488d5ee4b6c1b96cbfbef317b4_icgraph">
<area shape="rect" id="node2" href="classCClient.html#a128d8908e1a13163a998728b8d671bc0" title="CClient::authenticate" alt="" coords="214,5,359,32"/><area shape="rect" id="node3" href="classCClient.html#a8d12ebcc2ee9b3f28b1b0d986b394d33" title="CClient::communicate" alt="" coords="408,31,560,57"/><area shape="rect" id="node4" href="classCProgram.html#a9f87985764fec0db060eab39e1776c51" title="CProgram::work" alt="" coords="608,31,725,57"/></map>
</div>
</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a56e039e95da281a991e7691bd0425633"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char CClient::m_buffer[<a class="el" href="constants_8h.html#ad3f098b0c28052a2a905895fc8537687">MAX_BUFFER_LENGTH</a>+1]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9796ef11ee8c7ab1d1114290fc7d25dc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool CClient::m_running</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9b591072de44595709c076d7eedfdb55"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int CClient::m_sock</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/imp/<a class="el" href="client_8h_source.html">client.h</a></li>
<li>src/imp/<a class="el" href="client_8cpp.html">client.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 3 2016 12:40:01 for FTP Client by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
